Subject: RE: [Speermint] NATs and Firewalls

From: "Hadriel Kaplan" <[email-masked]>
Date: Wed, 5 Apr 2006 13:40:39 -0400

Of course, a good vendor has to tell the customer what's in the customer's
best interest.  But it's naïve to think they can persuade them to do what
they don't agree is in their best-interest.
Slippery-slope, here we come...

-hadriel

> -----Original Message-----
> From: Stastny Richard [mailto:[email-masked]]
> Sent: Wednesday, April 05, 2006 1:23 PM
> To: Hadriel Kaplan; Medhavi Bhatia; [email-masked]
> Subject: Re: [Speermint] NATs and Firewalls
> 
> >They do it because their customers want them to.
> 
> Ahem, excuse me, but this is a bit naiv ;-)
> Some vendors are even trying to pull my leg by telling
> me in confidence: I know this is stupid, but never argaue with your
> customers
> 
> I reality a good vendor has to tell the customer what he should want.
> 
> This is the same for consumers (e.g. my dughter) as for telcos ;-)
> 
> Richard
> 
> ________________________________
> 
> Von: Hadriel Kaplan [mailto:[email-masked]]
> Gesendet: Mi 05.04.2006 18:50
> An: 'Medhavi Bhatia'; [email-masked]
> Betreff: RE: [Speermint] NATs and Firewalls
> 
> 
> 
> Hi Medhavi,
> I must say that is a very interesting statement for you to make.  ;)
> 
> Of course boxes and behaviors evolve.  But from my perspective, vendors
> don't do things because they want to or a standard tells them to.  They do
> it because their customers want them to.  If they don't do what the
> customers want, they get replaced with a box that will.  This is the
> fundamental difficulty with mandating how customers should deploy and use
> equipment, in a use-agnostic/universal standards forum.
> 
> One can either look at what is done today for legitimate, customer-valued
> reasons, or one can look at it as "filling a hole".  I prefer the former.
> People thought home-NATs and firewalls were just filling a hole and would
> go
> away.  :)
> 
> Regardless, I think this can be accomplished in the IETF if we stick to
> BCPs
> which are as broadly applicable as possible, while meeting the
> requirements.
> I agree with you the requirements come first, and that is what we should
> be
> discussing.  One of those requirements, IMO, is joining disparate L3
> domains, which is a different issue than joining administrative domains
> (if
> by administrative you mean SIP domains).  Do you agree?
> 
> Cheers,
> -hadriel
> p.s. that was not meant as a flame whatsoever - simply expressing a
> different viewpoint.
> 
> 
> > -----Original Message-----
> > From: Medhavi Bhatia [mailto:[email-masked]]
> > Sent: Wednesday, April 05, 2006 11:25 AM
> > To: Peter Macaulay; Drage, Keith (Keith); [email-masked]
> > Subject: RE: [Speermint] NATs and Firewalls
> >
> > I'd agree. Lets focus on requirements of peering based on SIP
> > RFCs/drafts, location and address translation mechanisms. The only
> > things which impact any sort of architecture are the administrative
> > domains, P2P domains and federations where subscribers are.
> >
> > As far as the discussion on SBCs, we have had a lengthy one in SIPPING.
> > It would be fair to say (and I may get flamed for this) that the reason
> > where we are with SBCs today is primarily because some service providers
> > were doing "stuff" differently with SIP. SBCs simply capitalized on open
> > holes in requirements. This will go away with time with more
> > competition, open networks (job of speermint?) and open solutions from
> > IETF. SBCs will change (or follow the money as some would say...).
> >
> > We need to look forward. SBCs and other infrastructure equipment vendors
> > (Edge proxies, core proxies etc) will follow these requirements. We must
> > take care however that we get the right set of SP requirements and form
> > the right solution.
> >
> > -Medhavi.
> >
> 
> 
> _______________________________________________
> Speermint mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speermint
> 

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint

---

From: "Stastny Richard" <[email-masked]>
Date: Wed, 5 Apr 2006 19:23:04 +0200

Ahem, excuse me, but this is a bit naiv ;-)
Some vendors are even trying to pull my leg by telling
me in confidence: I know this is stupid, but never argaue with your customers

 
Richard

Hi Medhavi,

One can either look at what is done today for legitimate, customer-valued
reasons, or one can look at it as "filling a hole".  I prefer the former.
People thought home-NATs and firewalls were just filling a hole and would go
away.  :)

Regardless, I think this can be accomplished in the IETF if we stick to BCPs
which are as broadly applicable as possible, while meeting the requirements.
I agree with you the requirements come first, and that is what we should be
discussing.  One of those requirements, IMO, is joining disparate L3
domains, which is a different issue than joining administrative domains (if
by administrative you mean SIP domains).  Do you agree?

Cheers,
-hadriel